;EXAMPLE 2 for Monitor51
;Demonstrates the LCALL m_run and LCALL m_stop instructions
;Priklad 2 pro Monitor51
;demontruje pouziti instrukci LCALL m_run a LCALL m_stop 
;
$mod51

mon_start	equ	0b00h	;address of Monitor51 - above end of this
				;program
				;adresa Monitoru51 - za koncem tohoto
				;programu
$include(monit51.inc);

	org	100h
	LCALL   m_run		;Monitor51 nonactive - normal run
				;neaktivni Monitor51 - normalni beh
start:	xrl	p1,#255		;sending 0's and 1's through P1
				;posila 0 a 1 pres P1
	mov	r0,#2
smyc3:	mov	r1,#255		;delay
smyc2:	mov	r2,#255		;zpozdeni
smyc1:	djnz	r2,smyc1
	inc	36h		;changing address 36h
				;zmena adresy 36h
	djnz	r1,smyc2
	djnz	r0,smyc3

	LCALL   m_stop		;stops the program
				;You can read registers etc.
				;zastavi program,muzete si cist registry apod.
	LCALL	m_run		;after 1 step (command SHIFT+Q) continues
				;in program
				;po 1 kroku (prikaz SHIFT+Q) pokracuje
				;v programu
	sjmp	start

	end